import request from '@/utils/request'

// 查询综合分析列表
export function listSynthesisAnalyze(query) {
  return request({
    url: '/view/synthesisAnalyze/list',
    method: 'get',
    params: query
  })
}

// 查询综合分析详细
export function getSynthesisAnalyze(id) {
  return request({
    url: '/view/synthesisAnalyze/' + id,
    method: 'get'
  })
}

// 新增综合分析
export function addSynthesisAnalyze(data) {
  return request({
    url: '/view/synthesisAnalyze',
    method: 'post',
    data: data
  })
}

// 修改综合分析
export function updateSynthesisAnalyze(data) {
  return request({
    url: '/view/synthesisAnalyze',
    method: 'put',
    data: data
  })
}

// 删除综合分析
export function delSynthesisAnalyze(id) {
  return request({
    url: '/view/synthesisAnalyze/' + id,
    method: 'delete'
  })
}

// 导出综合分析
export function exportSynthesisAnalyze(query) {
  return request({
    url: '/view/synthesisAnalyze/export',
    method: 'get',
    params: query
  })
}
